Bug 1332613 - docker-compose says The engine version is lesser than the minimum required by compose.
Summary: docker-compose says The engine version is lesser than the minimum required by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-compose
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michael Hampton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1289851
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-03 14:53 UTC by Jan Pazdziora
Modified: 2016-06-10 02:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 02:30:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2016-05-03 14:53:16 UTC
Description of problem:

Attempt to run docker-compose up fails with

ERROR: The engine version is lesser than the minimum required by compose. Your current project requires a Docker Engine of version 1.10.0 or superior.

However, docker 1.10 is not in stable.

Version-Release number of selected component (if applicable):

docker-compose-1.6.2-1.fc23.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install docker and docker-compose from Fedora 23 stable updates.
2. systemctl start docker
3. Have some docker-compose.yml file and run docker-compose up

Actual results:

ERROR: The engine version is lesser than the minimum required by compose. Your current project requires a Docker Engine of version 1.10.0 or superior.

Expected results:

The containers described in docker-compose.yml run.

Additional info:

Comment 1 Michael Hampton 2016-05-03 23:11:21 UTC
Quite so. Docker 1.10 has been delayed from stable in F23 for several weeks now by a number of bugs caught in testing. Unfortunately I'd pushed this to stable before docker 1.10 thinking it would eventually get pushed (which hasn't happened; and there's really no good way to deal with this). Every time it seems it's ready to go, something else pops up.

At this point the best way to move forward with this is to test 1.10 from updates-testing and help it go stable.

Comment 2 Jan Pazdziora 2016-05-04 07:18:42 UTC
I confirm that docker-1.10.3-16.gita41254f.fc23.x86_64 from updates-testing make docker-compose work again. I gave karma to https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5 now.

On the other hand, upgrading the docker-compose from updates-testing as well (to docker-compose-1.7.0-1.fc23.noarch) breaks the setup again:

Traceback (most recent call last):
  File "/usr/bin/docker-compose", line 9, in <module>
    load_entry_point('docker-compose==1.7.0', 'console_scripts', 'docker-compose')()
  File "/usr/lib/python2.7/site-packages/compose/cli/main.py", line 57, in main
    command()
  File "/usr/lib/python2.7/site-packages/compose/cli/main.py", line 105, in perform_command
    project = project_from_options('.', options)
  File "/usr/lib/python2.7/site-packages/compose/cli/command.py", line 31, in project_from_options
    environment=environment
  File "/usr/lib/python2.7/site-packages/compose/cli/command.py", line 76, in get_project
    host=host, environment=environment
  File "/usr/lib/python2.7/site-packages/compose/cli/command.py", line 49, in get_client
    environment=environment
  File "/usr/lib/python2.7/site-packages/compose/cli/docker_client.py", line 52, in docker_client
    kwargs = kwargs_from_env(environment=environment)
TypeError: kwargs_from_env() got an unexpected keyword argument 'environment'

so if https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ea3b9fb42 makes it into stable, it will break things again.

Comment 3 Michael Hampton 2016-05-04 07:27:23 UTC
(In reply to Jan Pazdziora from comment #2)
> On the other hand, upgrading the docker-compose from updates-testing as well
> (to docker-compose-1.7.0-1.fc23.noarch) breaks the setup again:

> so if https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ea3b9fb42 makes
> it into stable, it will break things again.

That update is not going into stable. It's blocked on BZ#1331898; see BZ#1321200.

Comment 4 Michael Hampton 2016-06-10 02:30:18 UTC
docker-1.10.3-24.gitf476348.fc23 has finally been pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.